1. osu!community
  2. osu!
  3. Help
  4. Resolved Issues
posted
Hello osu! community,

I don't want to use the Fallback version anymore... So I decided to update osu! but whenever I update, I get this. Can anyone help me how to use the Latest version for Windows XP?
Btw, when I tested on other Windows XP PC, it can update.





Anyway thanks for helping.
posted
There are some problems with updates on XP.

I think osu! on XP have compatibility issues.

Also, try to use old installer (https://m1.ppy.sh/release/osu!install.exe)
Please sign in to reply.